#include <QApplication>
#include <QDebug>
#include <QVBoxLayout>
#include <QScrollArea>

static QString description()
{
    QString t = QT_VERSION_STR;
#if QT_VERSION >= 0x050000
    t += QLatin1Char(' ') + QGuiApplication::platformName();
#endif
    return t;
}

class Widget : public QWidget {
public:
    Widget();
};

Widget::Widget()
{
    QVBoxLayout *lt = new QVBoxLayout(this);
    QScrollArea* scrollArea = new QScrollArea();
    scrollArea->setWidgetResizable (true); //true, not false;
    QWidget* widget = new QWidget();
    widget->setMinimumHeight(100);
    widget->setMaximumHeight(120);
    scrollArea->setWidget(widget);
    lt->addWidget(scrollArea);
    widget->setMinimumHeight(125); //BOOM
}

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    QStringList args = app.arguments();
    args.pop_front();

    QString t = description();
    qDebug() << t << args;
    Widget w;
    w.setWindowTitle(t);
    w.show();
    return app.exec();
}
